Article ID: 2811, created on Oct 29, 2007, last review on May 10, 2014

  • Applies to:
  • Pro Control Panel Linux

AdditionalInformation

View Knowledge
Knowledge ID 2212
Product : Ensim Pro for Linux
Version : 4.1.0
Topic : Hotfix

Title
Critical Security Problem in Sendmail

Summary
Critical Security Problem in Sendmail

Prevention


Details

Following are the instructions to upgrade sendmail to the latest version:

1. Download the sendmail package from the following link for FC1 and FC2

Fedora Core 1

http://download.fedoralegacy.org/fedora/1/updates/i386/sendmail-8.12.11-4.25.1.legacy.i386.rpm

Fedora Core 2

http://download.fedoralegacy.org/fedora/2/updates/i386/sendmail-8.12.11-4.26.legacy.i386.rpm

RHEL 3ES

sendmail-8.12.11-4.RHEL3.4.i386.rpm using up2date

RHEL 4ES and CentOS 4.2 using up2date or yum for centos

sendmail-8.13.1-3.RHEL4.3.i386.rpm

2. Backup the existing sendmail.cf

cp /etc/mail/sendmail.cf /etc/mail/sendmail.cf.bak

3. Upgrade the sendmail package:

rpm -Uvh sendmail-*.rpm

4. Put the server in maintenance mode:
set_pre_maintenance
set_maintenance
set_post_maintenance
exit_post_maintenance

5. Restart webppliance and sendmail
service webppliance restart
service sendmail restart


Attachments


Related Knowledge

Related Links
 
Last ModifiedUsageSatisfiedLast Used
4/6/2006 2:54:39 AM227 10/11/2007 2:09:17 AM

4cc899da08664637a8bc437308d3ddd7 3ccb419cf98083f3bb45808fba8dbc7c 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF